#pragma once

#include "Effect.h"
#include "Bariere.h"


class EnterhakenEffect : public Effect
{
private:
    float ehpx;
    float ehpy;
    int state;
    float maxTime;
    Richtung r;
    Resource *spieler;
    Bariere *target;
    Bild *ehSchnur;
    Bild *ehSpitze;

public:
    EnterhakenEffect( ResourceRegistry *zResources, Spieler *zSpieler, Richtung r );
    ~EnterhakenEffect();
    bool istSpielerBeweglich( Richtung r ) override;
    void move( double time ) override;
    bool tick( double time, Spiel *zSpiel ) override;
    bool istGegenstandErlaubt( GegenstandTyp typ ) override;
    bool istSpielerVerwundbar( Richtung r ) override;
    void renderSpieler( Bild &rObj ) override;
    Resource *getCurrentResource() override;
};
