#pragma once

#include "Effect.h"

class RolleEffect : public Effect
{
private:
    Richtung r;
    Resource *annimation;

public:
    RolleEffect( ResourceRegistry *zResources, Spieler *zSpieler, Richtung r );
    ~RolleEffect();
    bool istSpielerBeweglich( Richtung r ) override;
    bool istSpielerVerwundbar( Richtung r ) override;
    void move( double time ) override;
    bool istGegenstandErlaubt( GegenstandTyp typ ) override;
    Resource *getCurrentResource() override;
};