#pragma once

#include <Zeichnung.h>
#include <TextFeld.h>
#include <Fortschritt.h>
#include "Spieler.h"
#include "Resource.h"

using namespace Framework;

class SpielerGUI : public Zeichnung
{
private:
    Spieler *spieler;
    Schrift *schrift;
    TextFeld *levelT;
    TextFeld *itemAnzahlT;
    TextFeld *spielerInfo;
    FBalken *lebenB;
    Bild *erf;
    Bild *erfRand;
    Bild *ausw;
    Bild *invBg;
    Bild *invBgUsed;
    Bild *lebenRand;
    Bild *levelRand;
    Bild *spielerBild;
    ResourceRegistry *resources;

public:
    SpielerGUI( ResourceRegistry *zResources );
    ~SpielerGUI();
    void setSpieler( Spieler *spieler );
    void render( Bild &rObj ) override;
};